WinShopAPI docs
ReferenceItem lists

Themes

List themes

GET
/api/item-lists/themes

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/themes' \  -H 'Authorization: Bearer <access-token>'
[  {    "automaticNameForNewProductFromGroup": true,    "automaticNameForNewProductFromSubGroup": true,    "automaticNameForNewProductFromSupplierCode": true,    "automaticNameForNewProductFromTheme": true,    "baseVatRateId": 0,    "canBeInsured": true,    "coefficient1": 0,    "coefficient10": 0,    "coefficient11": 0,    "coefficient12": 0,    "coefficient13": 0,    "coefficient14": 0,    "coefficient15": 0,    "coefficient2": 0,    "coefficient3": 0,    "coefficient4": 0,    "coefficient5": 0,    "coefficient6": 0,    "coefficient7": 0,    "coefficient8": 0,    "coefficient9": 0,    "colorInteger": 0,    "createdAt": "2019-08-24T14:15:22Z",    "description": "string",    "hideOnTouchScreen": true,    "id": 0,    "intakePriceBasedOnCoefficient": true,    "isOnPosYes": true,    "lastModify": "2019-08-24T14:15:22Z",    "materialId": 0,    "materialPurityId": 0,    "posCreditPaymentForbidden": true,    "recyclingFeeId": 0,    "spdControl": true,    "themeCode": "string",    "themeName": "string",    "themeNameForEshop": "string",    "userId": 0,    "vatRate": 0  }]

Create a theme

POST
/api/item-lists/themes

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
automaticNameForNewProductFromGroup?boolean|null
automaticNameForNewProductFromSubGroup?boolean|null
automaticNameForNewProductFromSupplierCode?boolean|null
automaticNameForNewProductFromTheme?boolean|null
baseVatRateId?|
Formatint32
canBeInsured?boolean|null
coefficient1?|
Formatdecimal
coefficient10?|
Formatdecimal
coefficient11?|
Formatdecimal
coefficient12?|
Formatdecimal
coefficient13?|
Formatdecimal
coefficient14?|
Formatdecimal
coefficient15?|
Formatdecimal
coefficient2?|
Formatdecimal
coefficient3?|
Formatdecimal
coefficient4?|
Formatdecimal
coefficient5?|
Formatdecimal
coefficient6?|
Formatdecimal
coefficient7?|
Formatdecimal
coefficient8?|
Formatdecimal
coefficient9?|
Formatdecimal
colorInteger?|
Formatint32
createdAt?|
Formatdate-time
description?|
Lengthlength <= 80
hideOnTouchScreen?boolean|null
id?|
Formatint32
intakePriceBasedOnCoefficient?boolean|null
isOnPosYes?boolean|null
lastModify?|
Formatdate-time
materialId?|
Formatint32
materialPurityId?|
Formatint32
posCreditPaymentForbidden?boolean|null
recyclingFeeId?|
Formatint32
spdControl?boolean|null
themeCode?|
Lengthlength <= 10
themeName?|
Lengthlength <= 80
themeNameForEshop?|
Lengthlength <= 120
userId?|

Last modifier, stamped by the server on insert and update; a client-supplied value is discarded.

Formatint32
vatRate?|

Server-owned copy of the base VAT rate's value; a client-supplied value is discarded.

Formatdecimal

Response Body

application/json
  1. response
automaticNameForNewProductFromGroup?boolean|null
automaticNameForNewProductFromSubGroup?boolean|null
automaticNameForNewProductFromSupplierCode?boolean|null
automaticNameForNewProductFromTheme?boolean|null
baseVatRateId?|
Formatint32
canBeInsured?boolean|null
coefficient1?|
Formatdecimal
coefficient10?|
Formatdecimal
coefficient11?|
Formatdecimal
coefficient12?|
Formatdecimal
coefficient13?|
Formatdecimal
coefficient14?|
Formatdecimal
coefficient15?|
Formatdecimal
coefficient2?|
Formatdecimal
coefficient3?|
Formatdecimal
coefficient4?|
Formatdecimal
coefficient5?|
Formatdecimal
coefficient6?|
Formatdecimal
coefficient7?|
Formatdecimal
coefficient8?|
Formatdecimal
coefficient9?|
Formatdecimal
colorInteger?|
Formatint32
createdAt?|
Formatdate-time
description?|
Lengthlength <= 80
hideOnTouchScreen?boolean|null
id?|
Formatint32
intakePriceBasedOnCoefficient?boolean|null
isOnPosYes?boolean|null
lastModify?|
Formatdate-time
materialId?|
Formatint32
materialPurityId?|
Formatint32
posCreditPaymentForbidden?boolean|null
recyclingFeeId?|
Formatint32
spdControl?boolean|null
themeCode?|
Lengthlength <= 10
themeName?|
Lengthlength <= 80
themeNameForEshop?|
Lengthlength <= 120
userId?|

Last modifier, stamped by the server on insert and update; a client-supplied value is discarded.

Formatint32
vatRate?|

Server-owned copy of the base VAT rate's value; a client-supplied value is discarded.

Formatdecimal
curl -X POST 'https://<your-instance>/api/item-lists/themes' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "automaticNameForNewProductFromGroup": true,  "automaticNameForNewProductFromSubGroup": true,  "automaticNameForNewProductFromSupplierCode": true,  "automaticNameForNewProductFromTheme": true,  "baseVatRateId": 0,  "canBeInsured": true,  "coefficient1": 0,  "coefficient10": 0,  "coefficient11": 0,  "coefficient12": 0,  "coefficient13": 0,  "coefficient14": 0,  "coefficient15": 0,  "coefficient2": 0,  "coefficient3": 0,  "coefficient4": 0,  "coefficient5": 0,  "coefficient6": 0,  "coefficient7": 0,  "coefficient8": 0,  "coefficient9": 0,  "colorInteger": 0,  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "hideOnTouchScreen": true,  "id": 0,  "intakePriceBasedOnCoefficient": true,  "isOnPosYes": true,  "lastModify": "2019-08-24T14:15:22Z",  "materialId": 0,  "materialPurityId": 0,  "posCreditPaymentForbidden": true,  "recyclingFeeId": 0,  "spdControl": true,  "themeCode": "string",  "themeName": "string",  "themeNameForEshop": "string",  "userId": 0,  "vatRate": 0}

Get a theme

GET
/api/item-lists/themes/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
automaticNameForNewProductFromGroup?boolean|null
automaticNameForNewProductFromSubGroup?boolean|null
automaticNameForNewProductFromSupplierCode?boolean|null
automaticNameForNewProductFromTheme?boolean|null
baseVatRateId?|
Formatint32
canBeInsured?boolean|null
coefficient1?|
Formatdecimal
coefficient10?|
Formatdecimal
coefficient11?|
Formatdecimal
coefficient12?|
Formatdecimal
coefficient13?|
Formatdecimal
coefficient14?|
Formatdecimal
coefficient15?|
Formatdecimal
coefficient2?|
Formatdecimal
coefficient3?|
Formatdecimal
coefficient4?|
Formatdecimal
coefficient5?|
Formatdecimal
coefficient6?|
Formatdecimal
coefficient7?|
Formatdecimal
coefficient8?|
Formatdecimal
coefficient9?|
Formatdecimal
colorInteger?|
Formatint32
createdAt?|
Formatdate-time
description?|
Lengthlength <= 80
hideOnTouchScreen?boolean|null
id?|
Formatint32
intakePriceBasedOnCoefficient?boolean|null
isOnPosYes?boolean|null
lastModify?|
Formatdate-time
materialId?|
Formatint32
materialPurityId?|
Formatint32
posCreditPaymentForbidden?boolean|null
recyclingFeeId?|
Formatint32
spdControl?boolean|null
themeCode?|
Lengthlength <= 10
themeName?|
Lengthlength <= 80
themeNameForEshop?|
Lengthlength <= 120
userId?|

Last modifier, stamped by the server on insert and update; a client-supplied value is discarded.

Formatint32
vatRate?|

Server-owned copy of the base VAT rate's value; a client-supplied value is discarded.

Formatdecimal
curl -X GET 'https://<your-instance>/api/item-lists/themes/0' \  -H 'Authorization: Bearer <access-token>'
{  "automaticNameForNewProductFromGroup": true,  "automaticNameForNewProductFromSubGroup": true,  "automaticNameForNewProductFromSupplierCode": true,  "automaticNameForNewProductFromTheme": true,  "baseVatRateId": 0,  "canBeInsured": true,  "coefficient1": 0,  "coefficient10": 0,  "coefficient11": 0,  "coefficient12": 0,  "coefficient13": 0,  "coefficient14": 0,  "coefficient15": 0,  "coefficient2": 0,  "coefficient3": 0,  "coefficient4": 0,  "coefficient5": 0,  "coefficient6": 0,  "coefficient7": 0,  "coefficient8": 0,  "coefficient9": 0,  "colorInteger": 0,  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "hideOnTouchScreen": true,  "id": 0,  "intakePriceBasedOnCoefficient": true,  "isOnPosYes": true,  "lastModify": "2019-08-24T14:15:22Z",  "materialId": 0,  "materialPurityId": 0,  "posCreditPaymentForbidden": true,  "recyclingFeeId": 0,  "spdControl": true,  "themeCode": "string",  "themeName": "string",  "themeNameForEshop": "string",  "userId": 0,  "vatRate": 0}

Update a theme

PATCH
/api/item-lists/themes/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
automaticNameForNewProductFromGroup?boolean|null
automaticNameForNewProductFromSubGroup?boolean|null
automaticNameForNewProductFromSupplierCode?boolean|null
automaticNameForNewProductFromTheme?boolean|null
baseVatRateId?|
Formatint32
canBeInsured?boolean|null
coefficient1?|
Formatdecimal
coefficient10?|
Formatdecimal
coefficient11?|
Formatdecimal
coefficient12?|
Formatdecimal
coefficient13?|
Formatdecimal
coefficient14?|
Formatdecimal
coefficient15?|
Formatdecimal
coefficient2?|
Formatdecimal
coefficient3?|
Formatdecimal
coefficient4?|
Formatdecimal
coefficient5?|
Formatdecimal
coefficient6?|
Formatdecimal
coefficient7?|
Formatdecimal
coefficient8?|
Formatdecimal
coefficient9?|
Formatdecimal
colorInteger?|
Formatint32
createdAt?|
Formatdate-time
description?|
Lengthlength <= 80
hideOnTouchScreen?boolean|null
id?|
Formatint32
intakePriceBasedOnCoefficient?boolean|null
isOnPosYes?boolean|null
lastModify?|
Formatdate-time
materialId?|
Formatint32
materialPurityId?|
Formatint32
posCreditPaymentForbidden?boolean|null
recyclingFeeId?|
Formatint32
spdControl?boolean|null
themeCode?|
Lengthlength <= 10
themeName?|
Lengthlength <= 80
themeNameForEshop?|
Lengthlength <= 120
userId?|

Last modifier, stamped by the server on insert and update; a client-supplied value is discarded.

Formatint32
vatRate?|

Server-owned copy of the base VAT rate's value; a client-supplied value is discarded.

Formatdecimal

Response Body

application/json
  1. response
automaticNameForNewProductFromGroup?boolean|null
automaticNameForNewProductFromSubGroup?boolean|null
automaticNameForNewProductFromSupplierCode?boolean|null
automaticNameForNewProductFromTheme?boolean|null
baseVatRateId?|
Formatint32
canBeInsured?boolean|null
coefficient1?|
Formatdecimal
coefficient10?|
Formatdecimal
coefficient11?|
Formatdecimal
coefficient12?|
Formatdecimal
coefficient13?|
Formatdecimal
coefficient14?|
Formatdecimal
coefficient15?|
Formatdecimal
coefficient2?|
Formatdecimal
coefficient3?|
Formatdecimal
coefficient4?|
Formatdecimal
coefficient5?|
Formatdecimal
coefficient6?|
Formatdecimal
coefficient7?|
Formatdecimal
coefficient8?|
Formatdecimal
coefficient9?|
Formatdecimal
colorInteger?|
Formatint32
createdAt?|
Formatdate-time
description?|
Lengthlength <= 80
hideOnTouchScreen?boolean|null
id?|
Formatint32
intakePriceBasedOnCoefficient?boolean|null
isOnPosYes?boolean|null
lastModify?|
Formatdate-time
materialId?|
Formatint32
materialPurityId?|
Formatint32
posCreditPaymentForbidden?boolean|null
recyclingFeeId?|
Formatint32
spdControl?boolean|null
themeCode?|
Lengthlength <= 10
themeName?|
Lengthlength <= 80
themeNameForEshop?|
Lengthlength <= 120
userId?|

Last modifier, stamped by the server on insert and update; a client-supplied value is discarded.

Formatint32
vatRate?|

Server-owned copy of the base VAT rate's value; a client-supplied value is discarded.

Formatdecimal
curl -X PATCH 'https://<your-instance>/api/item-lists/themes/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "automaticNameForNewProductFromGroup": true,  "automaticNameForNewProductFromSubGroup": true,  "automaticNameForNewProductFromSupplierCode": true,  "automaticNameForNewProductFromTheme": true,  "baseVatRateId": 0,  "canBeInsured": true,  "coefficient1": 0,  "coefficient10": 0,  "coefficient11": 0,  "coefficient12": 0,  "coefficient13": 0,  "coefficient14": 0,  "coefficient15": 0,  "coefficient2": 0,  "coefficient3": 0,  "coefficient4": 0,  "coefficient5": 0,  "coefficient6": 0,  "coefficient7": 0,  "coefficient8": 0,  "coefficient9": 0,  "colorInteger": 0,  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "hideOnTouchScreen": true,  "id": 0,  "intakePriceBasedOnCoefficient": true,  "isOnPosYes": true,  "lastModify": "2019-08-24T14:15:22Z",  "materialId": 0,  "materialPurityId": 0,  "posCreditPaymentForbidden": true,  "recyclingFeeId": 0,  "spdControl": true,  "themeCode": "string",  "themeName": "string",  "themeNameForEshop": "string",  "userId": 0,  "vatRate": 0}

Delete a theme

DELETE
/api/item-lists/themes/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/themes/0' \  -H 'Authorization: Bearer <access-token>'
Empty